[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSetEnumerator.MoveNext

Attempts to navigate to the next record

## Declaration

Source position: db.pas line 1779

`public function TDataSetEnumerator.MoveNext: Boolean;`

## Function result

True if the move to the next record was succesful

## Description

MoveNext attempts to navigate to the next record. It returns True if the attempt was successful, False if not (EOF is true).

## See also

TDataset.Next |  | Go to the next record in the dataset.
TDataset.EOF |  | Indicates whether the last record has been reached.